EmptyClassVisitor
Date: 2016-07-04

com.tonicsystems.jarjar

## Class EmptyClassVisitor

- java.lang.Object
- - org.objectweb.asm.ClassVisitor
  - - com.tonicsystems.jarjar.EmptyClassVisitor

-     public class EmptyClassVisitor
      extends org.objectweb.asm.ClassVisitor

  An ASM3 EmptyVisitor replacement
  Author:
    Jochen "blackdrag" Theodorou

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyClassVisitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)`
    `org.objectweb.asm.FieldVisitor` | `visitField(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.Object value)`
    `org.objectweb.asm.MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)`

    - ### Methods inherited from class org.objectweb.asm.ClassVisitor

      `visit, visitAttribute, visitEnd, visitInnerClass, visitOuterClass, visitSource, visitTypeAnnotation`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyClassVisitor

          public EmptyClassVisitor()

  - ### Method Detail

    - #### visitMethod

          public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                    java.lang.String name,
                                                    java.lang.String desc,
                                                    java.lang.String signature,
                                                    java.lang.String[] exceptions)

      Overrides:
        `visitMethod` in class `org.objectweb.asm.ClassVisitor`

    - #### visitAnnotation

          public org.objectweb.asm.AnnotationVisitor visitAnnotation(java.lang.String desc,
                                                            boolean visible)

      Overrides:
        `visitAnnotation` in class `org.objectweb.asm.ClassVisitor`

    - #### visitField

          public org.objectweb.asm.FieldVisitor visitField(int access,
                                                  java.lang.String name,
                                                  java.lang.String desc,
                                                  java.lang.String signature,
                                                  java.lang.Object value)

      Overrides:
        `visitField` in class `org.objectweb.asm.ClassVisitor`